Zum Inhalt springen
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Add a suppression

POST/suppressions
Autorisierung
AuthorizationBearer-Token · headererforderlich

A BillionSend API key (bs_…).

Request-Body
erforderlichapplication/json
emailstring<email>erforderlich

Bare email address to block; stored normalized (lowercase)

originstring

Origin recorded on rows this request creates (default manual): bounce, complaint or manual; an address already suppressed keeps its origin

Erlaubt:bouncecomplaintmanual
Antworten
200

Address blocked with the given origin (bounce, complaint or manual; default manual). Idempotent: an address already suppressed keeps its entry and origin and its existing id is returned.

objectstringerforderlich
Erlaubt:suppression
idstring<uuid>erforderlich
401

Missing, malformed, unknown or revoked API key

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
422

Validation error

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
Ausprobieren
Server
Autorisierung
Bodyapplication/json
Anfrage
curl -X POST 'https://api.billionsend.com/suppressions' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "email": "user@example.com",
  "origin": "bounce"
}'
Antwort
{
  "object": "suppression",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

War diese Seite hilfreich?